#!/bin/sh
# 
# (1) Edit file names and parameters 
# (2) Execute "run_polfre.cmd" 
# 
# schimmel@ictja.csic.es
#==============================================#
#
#################################
#   PROVIDE 3-C data (SAC files): 
#################################
Z=2007.031.03.15.55.3250.G.PEL..LHZ.D.SACd
E=2007.031.03.15.55.3250.G.PEL..LHE.D.SACd
N=2007.031.03.15.55.3250.G.PEL..LHN.D.SACd
#
##############################
#   SET PARAMETERS FOR POLFRE:
##############################
##### DOP power:
pow=3
##### freq. dependent stability window for DOP:
wlenf=13
##### minimum DOP:
dopm=0.6
##### Gauss window for ST: cycle*T=2*std
cycle=3
##### frequency range:
f1=0.015 
f2=0.2
##### neighbouring frequencies to average: 2+nflen+1 (keep as is):
nflen=1 
##### numb. of frequencies in band f1-f2:
nfr=300
##### max number samples to process:
nsp=6900 
##### average spectral matrix rather than spectra (keep asi is):
ave=ave
 
par1=" wlenf="$wlenf" pow="$pow" "$ave" dopm="$dopm" nsp="$nsp" "
par2=" f1="$f1" f2="$f2" nflen="$nflen" cycle="$cycle" nfr="$nfr""

#############
# EXECUTE PG
#############
\rm -f azi_dopm.asc
../polfre_s1.66el $Z $N $E $par1 $par2 flog 

# also try "nfr=150 flog"

exit
