#!/bin/sh
# 
# (1) Adapt path to data and executable, edit parameters 
# (2) Execute "run_polfre.cmd" 
# 
# Good luck! 
#===========================================================#
#
#############
# Executable:
#############
dire=`pwd`
polexe=$dire"/../polfre_s1.66el"
#
#################################################
###  PROVIDE directory with 3-C data (SAC files): 
#################################################
stat=E085
cd 2010-E085a/SAC_TRACES
dir0=`pwd`
#
###############################
### Directory to write results:
###############################
result=$dir0"/../Results"
rm -rf $result
mkdir $result
#
##############################
#   SET PARAMETERS FOR POLFRE:
##############################
##### DOP power:
pow=4
##### freq. dependent stability window for DOP:
wlenf=17
##### minimum DOP:
dopm=0.7
##### Gauss window for ST: cycle*T=2*std
cycle=3
##### frequency range:
f1=0.02 
f2=0.34
##### neighbouring frequencies to average: 2+nflen+1:
nflen=1 
##### numb. of frequencies in band f1-f2:
nfr=100
##### statistics (keep as is):
med=med
##### maximum linearity:
ell=0.9

par1=" wlenf="$wlenf" pow="$pow" ave dopm="$dopm" ell=$ell $med "
par2="f1="$f1" f2="$f2" nflen="$nflen" cycle="$cycle" nfr="$nfr""
#
###############################################
### Loop over data directories (sorted by day):
###############################################
for dir1 in 20??.???
do

cd $dir0"/"$dir1
pwd

###################################
### Loop over all Z traces per day:
###################################
for i in *HZ.sac
do

### Find the 3-Cs:
Z=$i
E=` echo $Z | sed 's/HZ/HE/' `
N=` echo $Z | sed 's/HZ/HN/' `

echo $Z $N $E

#############
# EXECUTE PG
#############
\rm -f azi_dopm.asc
$polexe $Z $N $E $par1 $par2

cat azi_dopm.asc >> $result"/"$dir1"."$stat".dat"

\rm -f azi_dopm.asc
### END loop over traces per day:
done

### END loop over daily data directories:
done

exit
